For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Order Statuses
              • GETGet Single Order Status by ID
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Status

Get Single Order Status by ID

GET
https://api.bigcommerce.com/stores/:store_hash/v2/order_statuses/:status_id
GET
/stores/:store_hash/v2/order_statuses/:status_id
$curl https://api.bigcommerce.com/stores/store_hash/v2/order_statuses/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "id": 11,
3 "name": "Awaiting Fulfillment",
4 "system_label": "Awaiting Fulfillment",
5 "custom_label": "Awaiting Fulfillment",
6 "system_description": "Customer has completed the checkout process and payment has been confirmed.",
7 "order": 3
8}
Returns a single order status. **Order Status Descriptions** |Status ID | Name | Description | |:--|:--|:--| | 0 | Incomplete | An incomplete order happens when a shopper reached the payment page, but did not complete the transaction. | | 1 | Pending |Customer started the checkout process, but did not complete it. | | 2 | Shipped | Order has been shipped, but receipt has not been confirmed; seller has used the Ship Items action. | | 3 | Partially Shipped | Only some items in the order have been shipped, due to some products being pre-order only or other reasons. | | 4 | Refunded | Seller has used the Refund action. | | 5 | Cancelled | Seller has cancelled an order, due to a stock inconsistency or other reasons. | | 6 |Declined | Seller has marked the order as declined for lack of manual payment, or other reasons. | | 7 | Awaiting Payment | Customer has completed checkout process, but payment has yet to be confirmed. | | 8 | Awaiting Pickup | Order has been pulled, and is awaiting customer pickup from a seller-specified location. | | 9 | Awaiting Shipment | Order has been pulled and packaged, and is awaiting collection from a shipping provider. | | 10 | Completed | Client has paid for their digital product and their file(s) are available for download. | | 11 | Awaiting Fulfillment | Customer has completed the checkout process and payment has been confirmed. | | 12 | Manual Verification Required | Order is on hold while some aspect needs to be manually confirmed. | | 13 | Disputed | Customer has initiated a dispute resolution process for the PayPal transaction that paid for the order. | | 14 | Partially Refunded | Seller has partially refunded the order. |
Was this page helpful?
Previous

List Order Statuses

Next

List Order Taxes

Built with

Returns a single order status.

Order Status Descriptions

Status IDNameDescription
0IncompleteAn incomplete order happens when a shopper reached the payment page, but did not complete the transaction.
1PendingCustomer started the checkout process, but did not complete it.
2ShippedOrder has been shipped, but receipt has not been confirmed; seller has used the Ship Items action.
3Partially ShippedOnly some items in the order have been shipped, due to some products being pre-order only or other reasons.
4RefundedSeller has used the Refund action.
5CancelledSeller has cancelled an order, due to a stock inconsistency or other reasons.
6DeclinedSeller has marked the order as declined for lack of manual payment, or other reasons.
7Awaiting PaymentCustomer has completed checkout process, but payment has yet to be confirmed.
8Awaiting PickupOrder has been pulled, and is awaiting customer pickup from a seller-specified location.
9Awaiting ShipmentOrder has been pulled and packaged, and is awaiting collection from a shipping provider.
10CompletedClient has paid for their digital product and their file(s) are available for download.
11Awaiting FulfillmentCustomer has completed the checkout process and payment has been confirmed.
12Manual Verification RequiredOrder is on hold while some aspect needs to be manually confirmed.
13DisputedCustomer has initiated a dispute resolution process for the PayPal transaction that paid for the order.
14Partially RefundedSeller has partially refunded the order.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

status_idintegerRequired

The status ID of the order. You can get the status id from the /orders endpoints.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

idinteger
The ID of the type of order status.
namestring
Name of the type of order status.
system_labelstring
System name of the type of order status.
custom_labelstring
Custom order status label given in the control panel.
system_descriptionstring
System description of the order status.

The MIME type of the response body.